summaryrefslogtreecommitdiff
path: root/tests/rm/unreadable
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-10-25 14:03:09 +0000
committerJim Meyering <jim@meyering.net>1998-10-25 14:03:09 +0000
commit02cde32c0a1287432e315b57bb1af43555c72841 (patch)
tree23adebd5d5a9c111f49cf26af5495b9f3e4f365c /tests/rm/unreadable
parent7741f87086bcd803cd79928dca2a955049657f48 (diff)
downloadcoreutils-02cde32c0a1287432e315b57bb1af43555c72841.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/rm/unreadable')
-rwxr-xr-xtests/rm/unreadable45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/rm/unreadable b/tests/rm/unreadable
new file mode 100755
index 000000000..a778e015d
--- /dev/null
+++ b/tests/rm/unreadable
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - << \EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my $d = "dir-$$";
+my $mkdir = {PRE => sub {mkdir $d,0100 or die "$d: $!\n"}};
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+
+my @Tests =
+ (
+ # test-name options input expected-output
+ #
+ ['unreadable-1', '-rf', $d,
+ {EXIT => 1}, {ERR => "$prog: $d/.: Permission denied\n"}, $mkdir],
+ ['unreadable-2', '-rf', $d,
+ {EXIT => 1},
+ {ERR => "$prog: $d/.: Permission denied\n" .
+ "$prog: cannot remove directory `$d': File exists\n"},
+ {PRE => sub { (mkdir $d,0700 and mkdir "$d/x",0700 and chmod 0100,$d)
+ or die "$d: $!\n"}} ],
+ );
+
+my $save_temps = $ENV{SAVE_TEMPS};
+my $verbose = $ENV{VERBOSE};
+
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF